curl --request POST \
--url https://api.goevery.co/v1/shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote": "quotes/669986bb4ae1239d5a92cdff",
"courier": "couriers/coordinadora",
"origin": "origins/66343b5ac38abe08414dc303",
"recipient": {
"firstName": "Valentina",
"lastName": "Rodríguez López",
"email": "valentina@gmail.com",
"phoneNumber": "+573193210329",
"address": {
"addressLines": [
"Calle 123",
"Apto 2"
],
"organization": "<string>"
},
"documentType": "CC",
"document": "1040777098"
},
"requiresPickup": true
}
'import requests
url = "https://api.goevery.co/v1/shipments"
payload = {
"quote": "quotes/669986bb4ae1239d5a92cdff",
"courier": "couriers/coordinadora",
"origin": "origins/66343b5ac38abe08414dc303",
"recipient": {
"firstName": "Valentina",
"lastName": "Rodríguez López",
"email": "valentina@gmail.com",
"phoneNumber": "+573193210329",
"address": {
"addressLines": ["Calle 123", "Apto 2"],
"organization": "<string>"
},
"documentType": "CC",
"document": "1040777098"
},
"requiresPickup": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote: 'quotes/669986bb4ae1239d5a92cdff',
courier: 'couriers/coordinadora',
origin: 'origins/66343b5ac38abe08414dc303',
recipient: {
firstName: 'Valentina',
lastName: 'Rodríguez López',
email: 'valentina@gmail.com',
phoneNumber: '+573193210329',
address: {addressLines: ['Calle 123', 'Apto 2'], organization: '<string>'},
documentType: 'CC',
document: '1040777098'
},
requiresPickup: true
})
};
fetch('https://api.goevery.co/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "shipments/669a8cba6af86466a42de2fe",
"createTime": "2024-07-17T21:32:52.478Z",
"updateTime": "2024-07-17T21:32:52.478Z",
"quote": "quotes/669986bb4ae1239d5a92cdff",
"courier": "couriers/coordinadora",
"origin": "origins/66343b5ac38abe08414dc303",
"recipient": {
"firstName": "Valentina",
"lastName": "Rodríguez López",
"email": "valentina@gmail.com",
"phoneNumber": "+573193210329",
"address": {
"regionCode": "CO",
"administrativeArea": "Antioquia",
"locality": "Abejorral",
"addressLines": [
"Calle 123",
"Apto 2"
],
"organization": "Happeett"
},
"documentType": "CC",
"document": "1040777098"
},
"requiresPickup": true,
"status": "LABEL_GENERATED",
"shipmentCostCents": 1700000,
"cashOnDeliveryCostCents": 350000,
"totalCostCents": 2050000,
"label": "240013993254",
"labelUrl": "https://storage.googleapis.com/every-shipment-labels-production/690cd6eb79ac31909b2121e8.pdf?GoogleAccessId=..."
}Create Shipment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The unique identifier for the accepted quote.
"quotes/669986bb4ae1239d5a92cdff"
The name of the courier service handling the shipment.
"couriers/coordinadora"
The resource name of the selected origin location.
"origins/66343b5ac38abe08414dc303"
Details of the recipient of the shipment.
Show child attributes
Show child attributes
Indicates whether the shipment requires pickup by the courier.
Response
Successfully created a shipment.
The unique identifier of the shipment.
"shipments/669a8cba6af86466a42de2fe"
The timestamp when the shipment was created.
"2024-07-17T21:32:52.478Z"
The timestamp when the shipment was last updated.
"2024-07-17T21:32:52.478Z"
The unique identifier for the accepted quote.
"quotes/669986bb4ae1239d5a92cdff"
The name of the courier service handling the shipment.
"couriers/coordinadora"
The resource name of the selected origin location.
"origins/66343b5ac38abe08414dc303"
Details of the recipient of the shipment.
Show child attributes
Show child attributes
Indicates whether the shipment requires pickup by the courier.
The current status of the shipment.
GENERATING_LABEL, LABEL_GENERATED, SCHEDULED_PICKUP, IN_PROGRESS, AT_ORIGIN_TERMINAL, AT_DESTINATION_TERMINAL, READY_FOR_PICKUP, OUT_FOR_DELIVERY, DELIVERED, WITH_ERROR, CANCELLATION_REQUESTED, CANCELLED, RETURN "LABEL_GENERATED"
The cost of the shipment in cents (COP).
1700000
The cash on delivery service cost in cents (COP).
350000
The total cost of the shipment including all fees in cents (COP).
2050000
The label identifier for the shipment.
"240013993254"
A signed URL to download the shipment label PDF. Valid for 120 hours (5 days).
"https://storage.googleapis.com/every-shipment-labels-production/690cd6eb79ac31909b2121e8.pdf?GoogleAccessId=..."